Bug 44566 - [PATCH] Support for XEmacs
Summary: [PATCH] Support for XEmacs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gettext   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-14 09:17 UTC by Enrico Scholz
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-22 11:43:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patches gettext.spec (3.78 KB, patch)
2001-06-14 09:18 UTC, Enrico Scholz
no flags Details | Diff
patches po-mode-init.el (766 bytes, patch)
2001-06-14 09:18 UTC, Enrico Scholz
no flags Details | Diff
patch against misc/po-mode.el (1.16 KB, patch)
2001-06-22 11:43 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2001-06-14 09:17:32 UTC
Description of Problem:

Current gettext-0.10.38-2 RPM packages are supporting Emacs only. The
attached patches will:

- split the gettext packages into 3 subpackages -- the main gettext package
and one subpackage per one of the editors. When rebuilding the package it
will be detected automatically if Emacs and/or XEmacs is available. If one
of them is missing the corresponding package will be omitted.


  The editor-packages are containing:
$ rpm -qlp gettext-emacs-0.10.38-2.xemacs.i386.rpm
/usr/share/emacs/site-lisp/po-mode.el.gz
/usr/share/emacs/site-lisp/po-mode.elc
/usr/share/emacs/site-lisp/site-start.d/po-mode-init.el

$ rpm -qlp  gettext-xemacs-0.10.38-2.xemacs.i386.rpm
/usr/lib/xemacs/xemacs-packages/lisp/gettext
/usr/lib/xemacs/xemacs-packages/lisp/gettext/po-mode.el.gz
/usr/lib/xemacs/xemacs-packages/lisp/gettext/po-mode.elc
/usr/lib/xemacs/xemacs-packages/lisp/site-start.d/po-mode-init.el


- po-mode-init.el will be patched so it is not trying to use
po-find-file-coding-system within XEmacs anymore. This function is not
available with XEmacs.

Comment 1 Enrico Scholz 2001-06-14 09:18:06 UTC
Created attachment 21043 [details]
patches gettext.spec

Comment 2 Enrico Scholz 2001-06-14 09:18:40 UTC
Created attachment 21044 [details]
patches po-mode-init.el

Comment 3 Trond Eivind Glomsrxd 2001-06-15 20:16:32 UTC
Emacs and XEmacs aren't equivalent in functionality... I'm not sure I want to
add po-mode to XEmacs, as it doesn't have all the desired fucntionality.

I'll think it over, but I'm currently thinking "no"

Comment 4 Enrico Scholz 2001-06-15 20:32:04 UTC
What do you mean with missing functionality? UTF-8 support?

Else I am using po-mode.el in XEmacs without any problems and <holywar>XEmacs
looks smarter than Emacs</holywar>.

Comment 5 Enrico Scholz 2001-06-22 11:41:49 UTC
I will attach a patch enabling the `po-find-file-coding-system' functionality
with XEmacs (reported upstream already).

Therefore my 2nd patch (id 21044) becomes obsoleted.

Comment 6 Enrico Scholz 2001-06-22 11:43:07 UTC
Created attachment 21546 [details]
patch against misc/po-mode.el

Comment 7 Trond Eivind Glomsrxd 2001-06-22 15:08:33 UTC
Added to xemacs-21.1.14-14 - thanks for your patch.


Note You need to log in before you can comment on or make changes to this bug.